{
  "name": "base-react-project",
  "version": "1.0.0",
  "description": "base project for react redux sass webapack project",
  "main": "app.js",
  "scripts": {
    "dev": "webpack serve --mode development",
    "clean" : "rm -r dist/js/*",
    "build": "webpack --mode production"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/brian.ziani/base-react-project.git"
  },
  "keywords": [
    "react",
    "redux",
    "sass",
    "webpack"
  ],
  "author": "Brian Ziani",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/brian.ziani/base-react-project/issues"
  },
  "homepage": "https://gitlab.com/brian.ziani/base-react-project#readme",
  "devDependencies": {
    "@babel/core": "^7.12.10",
    "@babel/preset-env": "^7.12.11",
    "@babel/preset-react": "^7.12.10",
    "babel-loader": "^8.2.2",
    "compression-webpack-plugin": "^7.1.2",
    "css-loader": "^5.0.1",
    "file-loader": "^6.2.0",
    "html-loader": "^1.3.2",
    "html-webpack-plugin": "^4.5.1",
    "image-minimizer-webpack-plugin": "^2.2.0",
    "imagemin-mozjpeg": "^9.0.0",
    "imagemin-pngquant": "^9.0.1",
    "imagemin-svgo": "^8.0.0",
    "react-router": "^5.2.0",
    "sass-loader": "^10.1.1",
    "style-loader": "^2.0.0",
    "url-loader": "^4.1.1",
    "webpack": "^5.13.0",
    "webpack-cli": "^4.3.1",
    "webpack-dev-server": "^3.11.1"
  },
  "dependencies": {
    "@material-ui/core": "^4.11.2",
    "@material-ui/icons": "^4.11.2",
    "react": "^17.0.1",
    "react-dom": "^17.0.1",
    "react-helmet": "^6.1.0",
    "react-redux": "^7.2.2",
    "redux": "^4.0.5",
    "sass": "^1.32.4"
  }
}
